function [c, d] = J_add_norm(c, d, R, Q)

nx = dimension(R(1));
V = pelemfun(@extreme, R);

for k = 1:length(c)
    W = V{k}';
    nv = size(W, 2);
    J = c{k}'*W + repmat(d{k}, 1, nv);
    for i = 1:nv
        J(i) = J(i) + sub_norm(W(:, i), Q, R(k));
    end
    q = [W' ones(nv, 1)]\J';
    c{k} = q(1:nx); d{k} = q(end);
end


%-------------------------------------------
function y = sub_norm(x, Q, R)

x0 = chebyball(R);
nx = length(x0);
M = eye(nx);
for i = 1:nx
    if x0(i) < 0
        M(i, i) = -1;
    end
end
y = sum(Q*(M*x));
