function [ok_low, ok_up] = check_bounding(f, Jlow, Jup)
% check that Jlow(x) <= f(x) <= Jup(x) for all x \in \dom(Jlow)
%
% without checking, we assume that \dom(Jlow) = \dom(Jup) = \cup_i R_i

% to use mpt_isPWAbigger, we need to convert the structures into MPT form:
f = pwa2mpt(f);
Jlow = pwa2mpt(Jlow);
Jup = pwa2mpt(Jup);

% check whetner f(x) <= Jup(x) \forall x:
[how,maxD,maxX,minD,minX] = mpt_isPWAbigger(f, Jup);
ok_up = ismember(how, [0 2]);

% check whether Jlow(x) <= f(x) \forall x:
[how,maxD,maxX,minD,minX] = mpt_isPWAbigger(Jlow, f);
ok_low = ismember(how, [0 2]);


