fprintf('optimal [a_k; b_k]:\n');
[aopt; bopt]

% obtain the explicit representation of f(x) as
%   f(x) = c_j*x+d_j if x \in P_j
f = get_explicit_pwa_max(aopt, bopt, X);

% plot the results
if gcf==1
    plot(Jpoly, 'y');
end
hold on

plot_pwa(f);
grid on
hold off

% check whether Jlow(x) <= f(x) <= Jup(x) for all x:
fprintf('Certifying...\n');
[ok_low, ok_up] = check_bounding(f, Jlow, Jup);
fprintf('\n');
if ~ok_low
    fprintf('!!! f(x) is not correctly bounded from below !!!\n');
elseif ~ok_up
    fprintf('!!! f(x) is not correctly bounded from above !!!\n');
else
    fprintf('Jlow(x) <= f(x) <= Jup(x) certified.\n');
end
fprintf('\n');
